Intel® X86 Encoder Decoder: xed_encoder_iforms_s Struct Reference

Intel® X86 Encoder Decoder

Loading...
Searching...
No Matches
xed_encoder_iforms_s Struct Reference

`#include <xed-encoder-iforms.h>`

## Data Fields
xed_uint32_t | x_APX_CC_EVEX_BYTE3_ENC
xed_uint32_t | x_APX_EVEX_BYTE3_ENC
xed_uint32_t | x_AVX512_EVEX_BYTE3_ENC
xed_uint32_t | x_BRDISP32
xed_uint32_t | x_BRDISP64
xed_uint32_t | x_BRDISP8
xed_uint32_t | x_BRDISPz
xed_uint32_t | x_DISP_NT
xed_uint32_t | x_EVAPX_SCC
xed_uint32_t | x_EVEX_62_REXR_ENC
xed_uint32_t | x_EVEX_BYTE3_ENC
xed_uint32_t | x_EVEX_PP_ENC
xed_uint32_t | x_EVEX_REXB4_MAP_ENC
xed_uint32_t | x_EVEX_REXB_ENC
xed_uint32_t | x_EVEX_REXR4_ENC
xed_uint32_t | x_EVEX_REXW_VVVV_ENC
xed_uint32_t | x_EVEX_REXX_ENC
xed_uint32_t | x_EVEX_U_ENC
xed_uint32_t | x_MEMDISP
xed_uint32_t | x_MEMDISP16
xed_uint32_t | x_MEMDISP32
xed_uint32_t | x_MEMDISP8
xed_uint32_t | x_MEMDISPv
xed_uint32_t | x_MODRM_MOD_ENCODE
xed_uint32_t | x_MODRM_RM_ENCODE
xed_uint32_t | x_MODRM_RM_ENCODE_EA16_SIB0
xed_uint32_t | x_MODRM_RM_ENCODE_EA32_SIB0
xed_uint32_t | x_MODRM_RM_ENCODE_EA64_SIB0
xed_uint32_t | x_PREFIX_ENC
xed_uint32_t | x_REMOVE_SEGMENT
xed_uint32_t | x_REX_PREFIX_ENC
xed_uint32_t | x_SE_IMM8
xed_uint32_t | x_SIB_NT
xed_uint32_t | x_SIBBASE_ENCODE
xed_uint32_t | x_SIBBASE_ENCODE_SIB1
xed_uint32_t | x_SIBINDEX_ENCODE
xed_uint32_t | x_SIMM8
xed_uint32_t | x_SIMMz
xed_uint32_t | x_UIMM16
xed_uint32_t | x_UIMM32
xed_uint32_t | x_UIMM8
xed_uint32_t | x_UIMM8_1
xed_uint32_t | x_UIMMv
xed_uint32_t | x_VEX_ESCVL_ENC
xed_uint32_t | x_VEX_MAP_ENC
xed_uint32_t | x_VEX_REG_ENC
xed_uint32_t | x_VEX_REXR_ENC
xed_uint32_t | x_VEX_REXXB_ENC
xed_uint32_t | x_VEX_TYPE_ENC
xed_uint32_t | x_VEXED_REX
xed_uint32_t | x_VSIB_ENC
xed_uint32_t | x_VSIB_ENC_BASE
xed_uint32_t | x_XOP_MAP_ENC
xed_uint32_t | x_XOP_REXXB_ENC
xed_uint32_t | x_XOP_TYPE_ENC

## Field Documentation

## ◆ x_APX_CC_EVEX_BYTE3_ENC

xed_uint32_t x_APX_CC_EVEX_BYTE3_ENC

## ◆ x_APX_EVEX_BYTE3_ENC

xed_uint32_t x_APX_EVEX_BYTE3_ENC

## ◆ x_AVX512_EVEX_BYTE3_ENC

xed_uint32_t x_AVX512_EVEX_BYTE3_ENC

## ◆ x_BRDISP32

xed_uint32_t x_BRDISP32

## ◆ x_BRDISP64

xed_uint32_t x_BRDISP64

## ◆ x_BRDISP8

xed_uint32_t x_BRDISP8

## ◆ x_BRDISPz

xed_uint32_t x_BRDISPz

## ◆ x_DISP_NT

xed_uint32_t x_DISP_NT

## ◆ x_EVAPX_SCC

xed_uint32_t x_EVAPX_SCC

## ◆ x_EVEX_62_REXR_ENC

xed_uint32_t x_EVEX_62_REXR_ENC

## ◆ x_EVEX_BYTE3_ENC

xed_uint32_t x_EVEX_BYTE3_ENC

## ◆ x_EVEX_PP_ENC

xed_uint32_t x_EVEX_PP_ENC

## ◆ x_EVEX_REXB4_MAP_ENC

xed_uint32_t x_EVEX_REXB4_MAP_ENC

## ◆ x_EVEX_REXB_ENC

xed_uint32_t x_EVEX_REXB_ENC

## ◆ x_EVEX_REXR4_ENC

xed_uint32_t x_EVEX_REXR4_ENC

## ◆ x_EVEX_REXW_VVVV_ENC

xed_uint32_t x_EVEX_REXW_VVVV_ENC

## ◆ x_EVEX_REXX_ENC

xed_uint32_t x_EVEX_REXX_ENC

## ◆ x_EVEX_U_ENC

xed_uint32_t x_EVEX_U_ENC

## ◆ x_MEMDISP

xed_uint32_t x_MEMDISP

## ◆ x_MEMDISP16

xed_uint32_t x_MEMDISP16

## ◆ x_MEMDISP32

xed_uint32_t x_MEMDISP32

## ◆ x_MEMDISP8

xed_uint32_t x_MEMDISP8

## ◆ x_MEMDISPv

xed_uint32_t x_MEMDISPv

## ◆ x_MODRM_MOD_ENCODE

xed_uint32_t x_MODRM_MOD_ENCODE

## ◆ x_MODRM_RM_ENCODE

xed_uint32_t x_MODRM_RM_ENCODE

## ◆ x_MODRM_RM_ENCODE_EA16_SIB0

xed_uint32_t x_MODRM_RM_ENCODE_EA16_SIB0

## ◆ x_MODRM_RM_ENCODE_EA32_SIB0

xed_uint32_t x_MODRM_RM_ENCODE_EA32_SIB0

## ◆ x_MODRM_RM_ENCODE_EA64_SIB0

xed_uint32_t x_MODRM_RM_ENCODE_EA64_SIB0

## ◆ x_PREFIX_ENC

xed_uint32_t x_PREFIX_ENC

## ◆ x_REMOVE_SEGMENT

xed_uint32_t x_REMOVE_SEGMENT

## ◆ x_REX_PREFIX_ENC

xed_uint32_t x_REX_PREFIX_ENC

## ◆ x_SE_IMM8

xed_uint32_t x_SE_IMM8

## ◆ x_SIB_NT

xed_uint32_t x_SIB_NT

## ◆ x_SIBBASE_ENCODE

xed_uint32_t x_SIBBASE_ENCODE

## ◆ x_SIBBASE_ENCODE_SIB1

xed_uint32_t x_SIBBASE_ENCODE_SIB1

## ◆ x_SIBINDEX_ENCODE

xed_uint32_t x_SIBINDEX_ENCODE

## ◆ x_SIMM8

xed_uint32_t x_SIMM8

## ◆ x_SIMMz

xed_uint32_t x_SIMMz

## ◆ x_UIMM16

xed_uint32_t x_UIMM16

## ◆ x_UIMM32

xed_uint32_t x_UIMM32

## ◆ x_UIMM8

xed_uint32_t x_UIMM8

## ◆ x_UIMM8_1

xed_uint32_t x_UIMM8_1

## ◆ x_UIMMv

xed_uint32_t x_UIMMv

## ◆ x_VEX_ESCVL_ENC

xed_uint32_t x_VEX_ESCVL_ENC

## ◆ x_VEX_MAP_ENC

xed_uint32_t x_VEX_MAP_ENC

## ◆ x_VEX_REG_ENC

xed_uint32_t x_VEX_REG_ENC

## ◆ x_VEX_REXR_ENC

xed_uint32_t x_VEX_REXR_ENC

## ◆ x_VEX_REXXB_ENC

xed_uint32_t x_VEX_REXXB_ENC

## ◆ x_VEX_TYPE_ENC

xed_uint32_t x_VEX_TYPE_ENC

## ◆ x_VEXED_REX

xed_uint32_t x_VEXED_REX

## ◆ x_VSIB_ENC

xed_uint32_t x_VSIB_ENC

## ◆ x_VSIB_ENC_BASE

xed_uint32_t x_VSIB_ENC_BASE

## ◆ x_XOP_MAP_ENC

xed_uint32_t x_XOP_MAP_ENC

## ◆ x_XOP_REXXB_ENC

xed_uint32_t x_XOP_REXXB_ENC

## ◆ x_XOP_TYPE_ENC

xed_uint32_t x_XOP_TYPE_ENC

The documentation for this struct was generated from the following file:

- xed-encoder-iforms.h